#
# spec file for package autofdo
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           autofdo
Version:        0.18
Release:        5.11
Summary:        A tool to convert perf.data profile to AutoFDO profile
License:        Apache-2.0
URL:            https://github.com/google/autofdo
Source:         https://github.com/google/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         llvm11-fix.patch
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libopenssl-devel
BuildRequires:  libunwind-devel
BuildRequires:  zlib-devel
%if 0%{?suse_version} > 1320
BuildRequires:  clang13-devel
BuildRequires:  llvm13-devel
%endif

%description
This package contains a tool to convert perf.data profile to AutoFDO
profile that can be used by GCC and LLVM.

Each compiler is supported by a different tool. For GCC, use
'create_gcov'. For LLVM, use 'create_llvm_prof'. The two tools
have compatible command line flags. However, the outputs are
incompatible. You cannot use the profile generated for GCC in
LLVM and vice-versa.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%license COPYING
%doc README
%{_bindir}/create_gcov
%{_bindir}/dump_gcov
%{_bindir}/sample_merger
%{_bindir}/profile_merger
%{_bindir}/profile_diff
%{_bindir}/profile_update
%{_bindir}/create_llvm_prof

%changelog
* Mon May 23 2022 Martin Liška <mliska@suse.cz>
- Depend on LLVM13, cannot be built with LLVM14.
* Thu Dec  3 2020 Martin Liška <mliska@suse.cz>
- Add llvm11-fix.patch in order to fix build with LLVM11.
* Wed Dec  2 2020 Martin Liška <mliska@suse.cz>
- Build with llvm10.
* Thu Oct 17 2019 Richard Brown <rbrown@suse.com>
- Remove obsolete Groups tag (fate#326485)
* Tue Aug 27 2019 antoine.belvire@opensuse.org
- Update to version 0.18: No changelog provided.
- Refresh spec file.
* Wed Jul 12 2017 mliska@suse.cz
- Update to version 0.16:
  * Remove all patches that are not needed any longer: autofdo-rpath.patch,
  0001-Newer-perf-tools-keep-adding-new-perf-record-generat.patch and
  0002-Disabled-predicted-sanity-check-for-Atom.patch.
* Mon Jul 10 2017 mliska@suse.cz
- Add 0001-Newer-perf-tools-keep-adding-new-perf-record-generat.patch and
  0002-Disabled-predicted-sanity-check-for-Atom.patch is order to have
  it working with new kernels.
* Sat Feb 18 2017 mpluskal@suse.com
- Enable llvm support:
  * Add autofdo-rpath.patch
- Packaging changes:
  * Use pretty name of tarball
  * Update dependencies
* Mon Oct 10 2016 mliska@suse.cz
- Initial version 0.15
